import numpy as np
import matplotlib.pyplot as plt

#Interpolation polynomiale avec système d'équations sous forme de matrice
x_p=np.array([0,1,3,5])
y_p=np.array([-3,-3.5,-4.5,14.5])
#Résoltution MA=y_p
M=np.vstack((x_p**3,x_p**2,x_p**1,x_p**0)).T    #Empile 4 lignes de 4 valeurs
a=np.linalg.inv(M).dot(y_p)                     #Résoltuion a=inv(M)*yp
#A=np.linalg.solve(M,y_p)

'Calcul x_analytique et y_analytique'
x=np.linspace(-1,5.25,30)
'-------Méthode 1--------------------'
# y=np.empty(30)
# for i in range(30):
#     y[i]=a[0]*x[i]**3+a[1]*x[i]**2+a[2]*x[i]**1+a[3]*x[i]**0
'-------Méthode 2---------------------'
y=np.polyval(a,x)                               #Calcul y=A_9
'-------Méthode 3---------------------'
# y=a[0]*x**3+a[1]*x**2+a[2]*x**1+a[3]*x**0


plt.plot(x,y,'-g')
plt.plot(x_p,y_p,'or')
plt.grid(axis='both')


