import numpy as np
import matplotlib.pyplot as plt
from Fonction_transformation import cisaillement2D_x, cisaillement2D_y

# def cisaillement2D_y(angle):
#     import numpy as np
#     T=np.array([[1, np.tan(angle)],[0,1]])
#     return T
    
# def cisaillement2D_x(angle):
#     import numpy as np
#     T=np.array([[1,0],[np.tan(angle), 1]])  
#     return T
#création d'un carré
p=np.array([[0, 0, 1, 1,0],[0, 1, 1, 0,0]]).T

plt.plot(p[:,0],p[:,1],'-r')
plt.grid(axis='both')
plt.axis('equal')
#déclaration du cisaillement en degré et conversion en radian
theta_deg=np.array([2,10,20])
theta=theta_deg*np.pi/180

#boucle pour cisaillez selon différent angle
for i in range(len(theta)):
    T2=cisaillement2D_x(theta[i])
    T3=cisaillement2D_y(theta[i])
    p2=np.dot(p,T2)
    p3=np.dot(p,T3)
    plt.plot(p2[:,0]+1.25,p2[:,1],'-m')
    plt.plot(p3[:,0],p3[:,1]+1.25,'-k')