import numpy as np
from numpy.linalg import det, inv, solve

A=np.array([[1, 1, 2],[1, 2, 1],[2, 1, 1]]) #Matrice 3x3
# ========= Vecteur 1D ne peut pas être transposé!!  =========
b=np.array([3, 1, 0]).reshape(3,1)  #Vecteur colonne
b2=np.array([3, 1, 0])
# ========= Vecteur 2D peut être transposé, crochet supplémentaire
# b=np.array([[3,1,0]]).T            #Vecteur colonne à partir de transposé

print('A=\n',A)
print('b^T=',b.T)
print('det(A)=%.1f'%det(A))
Ai=inv(A)
print('inv(A)=\n',Ai)
x=np.dot(Ai,b)                      #Calcul x = inv(A) * b
print('x^T=',x.T)                   #Un peu moin precis
y=solve(A,b)                        #Resout le systeme Ay=b
print('y^T=',y.T)                   #Un peu plus precis




